
	volScalarField FiberSxx
    (
        IOobject
        (
            "FiberSxx",
            runTime.timeName(),
            mesh,
	    IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        StressFiber.component(tensor::XX)
    );
	volScalarField FiberSxy
    (
        IOobject
        (
            "FiberSxy",
            runTime.timeName(),
            mesh,
	    IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        StressFiber.component(tensor::XY)
    );
	volScalarField FiberSxz
    (
        IOobject
        (
            "FiberSxz",
            runTime.timeName(),
            mesh,
	    IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        StressFiber.component(tensor::XZ)
    );
	volScalarField FiberSyy
    (
        IOobject
        (
            "FiberSyy",
            runTime.timeName(),
            mesh,
	    IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        StressFiber.component(tensor::YY)
    );
	volScalarField FiberSyz
    (
        IOobject
        (
            "FiberSyz",
            runTime.timeName(),
            mesh,
	    IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        StressFiber.component(tensor::YZ)
    );
	volScalarField FiberSzz
    (
        IOobject
        (
            "FiberSzz",
            runTime.timeName(),
            mesh,
	    IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        StressFiber.component(tensor::ZZ)
    );

	volScalarField A2xx
    (
        IOobject
        (
            "A2xx",
            runTime.timeName(),
            mesh,
	    IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        A2.component(tensor::XX)
    );

	volScalarField A2xy
    (
        IOobject
        (
            "A2xy",
            runTime.timeName(),
            mesh,
	    IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        A2.component(tensor::XY)
    );

/*	volScalarField A2yx
	(
	IOobject
	(
		"A2yx",
		runTime.timeName(),
		mesh,
		IOobject::NO_READ,
		IOobject::AUTO_WRITE
	),
	A2.component(tensor::YX)
	);
*/
	
	volScalarField A2xz
    (
        IOobject
        (
            "A2xz",
            runTime.timeName(),
            mesh,
	    IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        A2.component(tensor::XZ)
    );


	volScalarField A2yy
    (
        IOobject
        (
            "A2yy",
            runTime.timeName(),
            mesh,
	    IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        A2.component(tensor::YY)
    );

	volScalarField A2yz
    (
        IOobject
        (
            "A2yz",
            runTime.timeName(),
            mesh,
	    IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        A2.component(tensor::YZ)
    );


	volScalarField A2zz
    (
        IOobject
        (
            "A2zz",
            runTime.timeName(),
            mesh,
	    IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        A2.component(tensor::ZZ)
    );


	eigenValuesA2 = eigenValues(A2);
	eigenVectorsA2 = eigenVectors(A2);
	lambdamax = eigenValuesA2.component(vector::Z);

