	const dictionary& PTTCoeffs
	(
		MatrixProperties.subDict("PTTCoeffs")
	);

	scalar nmodes(
		readScalar(PTTCoeffs.lookup("nmodes"))
	);

	List<scalar> epsilon
	(
		PTTCoeffs.lookup("epsilon")
	);
	List<scalar> zeta
	(
		PTTCoeffs.lookup("zeta")
	);

	scalar zeta1 = zeta[0];
	scalar zeta2 = zeta[1];
	scalar zeta3 = zeta[2];
	scalar zeta4 = zeta[3];

	scalar epsilon1 = epsilon[0];
	scalar epsilon2 = epsilon[1];
	scalar epsilon3 = epsilon[2];
	scalar epsilon4 = epsilon[3];

	dimensionedScalar lambda1    ( PTTCoeffs.lookup("lambda1") );
	dimensionedScalar lambda2    ( PTTCoeffs.lookup("lambda2") );
	dimensionedScalar lambda3    ( PTTCoeffs.lookup("lambda3") );
	dimensionedScalar lambda4    ( PTTCoeffs.lookup("lambda4") );

	dimensionedScalar G1    ( PTTCoeffs.lookup("G1") );
	dimensionedScalar G2    ( PTTCoeffs.lookup("G2") );
	dimensionedScalar G3    ( PTTCoeffs.lookup("G3") );
	dimensionedScalar G4    ( PTTCoeffs.lookup("G4") );

	dimensionedScalar nu1 = G1*lambda1/rho;
	dimensionedScalar nu2 = G2*lambda2/rho;
	dimensionedScalar nu3 = G3*lambda3/rho;
	dimensionedScalar nu4 = G4*lambda4/rho;


	Switch PTTLin(
		 PTTCoeffs.lookup("PTTLin")
	);	
	Switch PTTExp(
		 PTTCoeffs.lookup("PTTExp")
	);	

