#ifndef createFieldsMatrix_H
#define createFieldsMatrix_H

	volTensorField StressSolvent
	(
		IOobject
		(
		"StressSolvent",
		runTime.timeName(),
		mesh,
		IOobject::MUST_READ,
		IOobject::NO_WRITE
		),
		mesh
	);

	volTensorField StressSolvent1
	(
		IOobject
		(
		"StressSolvent",
		runTime.timeName(),
		mesh,
		IOobject::MUST_READ,
		IOobject::AUTO_WRITE
		),
		mesh
	);

	volTensorField StressSolvent2
	(
		IOobject
		(
		"StressSolvent",
		runTime.timeName(),
		mesh,
		IOobject::MUST_READ,
		IOobject::NO_WRITE
		),
		mesh
	);

	volTensorField StressSolvent3
	(
		IOobject
		(
		"StressSolvent",
		runTime.timeName(),
		mesh,
		IOobject::MUST_READ,
		IOobject::NO_WRITE
		),
		mesh
	);

	volTensorField StressSolvent4
	(
		IOobject
		(
		"StressSolvent",
		runTime.timeName(),
		mesh,
		IOobject::MUST_READ,
		IOobject::NO_WRITE
		),
		mesh
	);



    Info<< "Reading MatrixProperties\n" << endl;
    IOdictionary MatrixProperties
    (
        IOobject
        (
            "MatrixProperties",
            runTime.constant(),
            mesh,
            IOobject::MUST_READ,
            IOobject::NO_WRITE
        )
    );

	word MatrixModel(MatrixProperties.lookup("MatrixModel"));	
	
	if (MatrixModel=="PTT"){
		Info<< "Matrix Model PTT" << endl;
	}
	if (MatrixModel=="FENEP"){
		Info<< "Matrix Model FENEP" << endl;
	}

#endif
